Subject: Re: linux-next: build failure after merge of the wireless tree

From: "John W. Linville" <[email-masked]>
Date: Mon, 16 May 2011 14:08:17 -0400

On Mon, May 16, 2011 at 12:02:27PM +1000, Stephen Rothwell wrote:
> Hi John,
> 
> After merging the wireless tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "clk_get" [net/rfkill/rfkill-gpio.ko] undefined!
> ERROR: "clk_enable" [net/rfkill/rfkill-gpio.ko] undefined!
> ERROR: "clk_put" [net/rfkill/rfkill-gpio.ko] undefined!
> ERROR: "clk_disable" [net/rfkill/rfkill-gpio.ko] undefined!
> 
> Caused by commit 165d625850e8 ("net: rfkill: add generic gpio rfkill
> driver").
> 
> I have used the wireless tree from next-20110513 for today.

Yeah, I think I'm going to drop this for now until we can sort this out.

> P.S. is the Author information for that commit correct?  It has a From:
> line near the bottom of the commit message.

That does look strange.  I'll ask Rhyland to make that more clear.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.